import { DropdownOption } from '@ironsource/fusion-ui/components/dropdown-option/entities';
import * as i0 from "@angular/core";
export declare class DropdownService {
    private closeAllSubject$;
    closeAll$: import("rxjs").Observable<MouseEvent>;
    constructor();
    setOptionsState(options: DropdownOption[], selectedOptions: DropdownOption[]): {
        options: DropdownOption[];
        parentOption?: DropdownOption;
    };
    isOptionInSelected(option: any, selected: any[]): boolean;
    mapGroupedOptions(options: DropdownOption[]): DropdownOption[];
    optionToString(option: any, mappingOptions?: any, { dropdownType, lastSearchValue }?: {
        dropdownType?: string;
        lastSearchValue?: string;
    }, withoutHTMLInString?: boolean): string;
    private highlightSearchTerm;
    emitCloseAllEvent(event: MouseEvent): void;
    filterEmptyGroupTitle(options: DropdownOption[]): DropdownOption[];
    static ɵfac: i0.ɵɵFactoryDeclaration<DropdownService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DropdownService>;
}
